FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Not able to select the different database (Not able to select the different database in Database Settings step while installing fudforum)
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Not able to select the different database [message #162933] Thu, 02 September 2010 09:47 Go to next message
tinkuforyou is currently offline  tinkuforyou   India
Messages: 16
Registered: February 2010
Location: India
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
HI,

I am trying to install the fudforum in linux box (Say A) and having Datbase is in the different box (Say B), now iam trying to install the fudforum from linux box using the database which is in the different box.


In the first step i saw that the my sql extension is disabled (attached screen shot) so when i when to database step then i am not able to find the drop down to select the my sql data base.

Is this happening because of the step 1 i.e MySQL Extension: is disabled state ,then what would be resolution to make it enable.

Could you please do the needful ASAP.


Thanks
Manoj
Re: Not able to select the different database [message #162934 is a reply to message #162933] Thu, 02 September 2010 11:02 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Yes, it's happening because your PHP installation doesn't support MySQL.
For details on how to enable it, see http://www.php.net/manual/en/mysql.installation.php
Re: Not able to select the different database [message #162935 is a reply to message #162934] Fri, 03 September 2010 03:40 Go to previous messageGo to next message
tinkuforyou is currently offline  tinkuforyou   India
Messages: 16
Registered: February 2010
Location: India
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Thanks naudefj

Could you please let me know the solution of this ,
In my php.ini file having the follwing cofiguration extension_dir = /usr/lib/php4
Inside this php4 folder there is mysql.so file but i am not able to use mysql applicaiton.

Do i need to add anything under dynamic extensions section in php.ini file ?



Thanks
Manoj
Re: Not able to select the different database [message #162936 is a reply to message #162935] Fri, 03 September 2010 13:28 Go to previous message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Hi,

tinkuforyou wrote:

In my php.ini file having the following configuration extension_dir = /usr/lib/php4
Inside this php4 folder there is mysql.so file but i am not able to use mysql application.


PHP4? PHP4 is very old and not supported. You need 5.1 or higher to run FUDforum (5.3 recommended).

Instead of trying to get this to work, I would rather install a preconfigured LAMP stack like BitNami or Xampp.

PS: As this is not a FUDforum problem, it may be better to ask for help on a PHP list or forum.

Best of luck!

Frank
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: fresh installation with older DB
Next Topic: Call to undefined function mb_substr()
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Oct 18 20:32:31 EDT 2018

Total time taken to generate the page: 0.00644 seconds